<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\AnoLectivo;
use App\Models\Logger;
use Illuminate\Http\Request;

class AnoLectivoController extends Controller
{
    public $Logger;
    public function __construct()
    {
        $this->Logger = new Logger();
    }

    public function loggerData($mensagem)
    {

        $this->Logger->Log('info', $mensagem);
    }
  public function cadastrar(request $req)
  {
    try {
      AnoLectivo::create([
        "vc_ano_lectivo" => "$req->vc_ano_lectivo_inicio-$req->vc_ano_lectivo_fim",
        "it_estado" => 1,
      ]);
      $this->loggerData(" Cadastrou o ano lectivo ". $req->vc_ano_lectivo);
      return redirect()->back()->with("ano_lectivo.cadastrar.true", '1');
    } catch (\Throwable $th) {
      return redirect()->back()->with("ano_lectivo.cadastrar.false", '1');
    }
  }
  public function paginaCadastrar()
  {
    return view('admin.ano_lectivo.cadastrar.index');
  }
  public function listar()
  {

    $dados = [];
    $dados['ano_lectivos'] = AnoLectivo::where([['it_estado', 1]])->get();
    return view('admin.ano_lectivo.listar.index', $dados);
  }

  public function editar($id, request $req)
  {
    try {
      AnoLectivo::findOrFail($id)->update([
        "vc_ano_lectivo" => "$req->vc_ano_lectivo_inicio-$req->vc_ano_lectivo_fim",
        "it_estado" => 1,
      ]);
      $this->loggerData(" Editou o ano lectivo ". $req->vc_ano_lectivo);
      return redirect()->back()->with("ano_lectivo.editar.true", '1');
    } catch (\Throwable $th) {
      return redirect()->back()->with("ano_lectivo.editar.false", '1');
    }
  }
  public function paginaEditar($id)
  {
    $dados = [];
    $dados['id'] = $id;
    $dados['ano_lectivo'] = AnoLectivo::where([['id', $id]])->get()->first();
    $ano= explode('-', $dados['ano_lectivo']->vc_ano_lectivo);
    $dados['ano_lectivo'] = (object) [
      'id' => $dados['ano_lectivo']->id,
      'vc_ano_lectivo_inicio' => $ano[0],
      'vc_ano_lectivo_fim' => $ano[1],
    ];
    // dd($dados);
    return view('admin.ano_lectivo.editar.index', $dados);
  }
  public function eliminar($id)
  {

  $req=  AnoLectivo::where('id', $id)->update(
      [
        'it_estado' => 0
      ]
    );
    $this->loggerData(" Eliminou o ano lectivo ". $req->vc_ano_lectivo);
    return redirect()->back()->with("ano_lectivo.eliminar.true", '1');
  }

  public function purgar($id)
  {
    $req=AnoLectivo::find($id)->delete();
    $this->loggerData(" Eliminou o ano lectivo ". $req->vc_ano_lectivo);
    return redirect()->back()->with("ano_lectivo.purgar.true", '1');
  }
}
