<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Bairro;
use App\Models\Logger;
use App\Models\Municipio;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class BairroController extends Controller
{
    public $Logger;
    public function __construct()
    {
        $this->Logger = new Logger();
    }

    public function loggerData($mensagem)
    {
        $this->Logger->Log('info', $mensagem);
    }

    public function cadastrar(request $req)
    {

        try {
            Bairro::create([
                'vc_bairro'=> $req->vc_bairro,
                'vc_descricao'=> $req->vc_descricao,
                'it_id_municipio'=> $req->it_id_municipio,
                    ]);

            $this->loggerData(" Cadastrou o bairro " . $req->vc_bairro);
            return redirect()->back()->with('bairro.cadastrar.true', 1);
        } catch (Exception $ex) {

            return redirect()->back()->with('erro_geral', 1);
        }
    }

    public function listar()
    {

        $dados['municipios'] = Municipio::all();
        $dados['bairro'] = DB::table('bairros')
        ->join('municipios', 'municipios.id', 'bairros.it_id_municipio')
        ->select('bairros.*', 'municipios.nome')->get();

        return view('admin.bairro.listar.index', $dados);
    }

    public function editar(Request $req, $id)
    {
         try {

        $user =  Bairro::find($id)->update([
            'vc_bairro'=> $req->vc_bairro,
            'vc_descricao'=> $req->vc_descricao,
            'it_id_municipio'=> $req->it_id_municipio
         ]);



        $this->loggerData(" Editou o bairro " . $req->vc_bairro);

        return redirect()->route('admin.bairro.listar')->with('bairro.editar.true', 1);

          } catch (\Throwable $th) {

            return redirect()->back()->with('erro_geral', 1);
        }
    }
    public function paginaEditar($id)
    {
    $dados['bairro'] = Bairro::find($id);

    $dados['municipios'] = Municipio::get();
    $dados['municipioSelecionado'] = Municipio::where('id', $dados['bairro']->it_id_municipio)->get()->first();

        return view('admin.bairro.editar.index', $dados);
    }
    public function eliminar($id)
    {
        try {
            $user = Bairro::find($id)->delete();
            $this->loggerData(" Eliminou o bairro " . $user->vc_bairro);
            return redirect()->back()->with('bairro.eliminar.true', 1);
        } catch (\Throwable $th) {
            return redirect()->back()->with('erro_geral', 1);
        }
    }
}
