<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\User;
use App\Models\Logger;
use App\Http\Controllers\Admin\UserController;
use App\Models\Imagen;
use App\Models\categoria;
use App\Models\CategoriaNoticia;
use Exception;
use Illuminate\Support\Facades\DB;

class CategoriaNoticiaController extends Controller
{
    public $Logger;

    public function __construct()
    {
        $this->Logger = new Logger();
    }

    public function loggerData($mensagem)
    {
        $this->Logger->Log('info', $mensagem);
    }

    public function cadastrar(request $req)
    {
        /*      try { */

        CategoriaNoticia::create([
            'vc_categoria' => $req->vc_categoria,

        ]);

        $this->loggerData(" Cadastrou o categoria " . $req->vc_titulo);
        return redirect()->back()->with('categoria.cadastrar.true', 1);
        /*   } catch (Exception $ex) {

            return redirect()->back()->with('categoria.cadastrar.false', 1);
        } */
    }

    public function listar()
    {
        $dados['categoria'] = CategoriaNoticia::get();

        return view('admin.categoria.listar.index', $dados);
    }


    public function actualizar(Request $req, $id)
    {
        try {
            $user =  CategoriaNoticia::find($id)->update([
                'vc_categoria' => $req->vc_categoria,

            ]);

            $this->loggerData(" Editou a categoria " . $req->vc_titulo);

            return redirect()->route('admin.user.listar')->with('categoria.editar.true', 1);
        } catch (\Throwable $th) {

            return redirect()->back()->with('categoria.editar.false', 1);
        }
    }
    public function editar($id)
    {
        $dados['categoria'] = CategoriaNoticia::find($id);
        return view('admin.categoria.editar.index', $dados);
    }

    public function eliminar($id)
    {
        try {
            $user = CategoriaNoticia::find($id)->delete();
            $this->loggerData(" Eliminou o categoria " . $user->vc_titulo);
            return redirect()->back()->with('categoria.eliminar.true', 1);
        } catch (\Throwable $th) {
            return redirect()->back()->with('categoria.eliminar.false', 1);
        }
    }
}
