<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Departamento;
use App\Models\Funcionario;
use App\Models\Logger;
use App\Models\Municipio;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class DepartamentoController extends Controller
{
    public $Logger;
    public $funcionario;
    public function __construct(Funcionario $funcionario)
    {
        $this->funcionario = $funcionario;
        $this->Logger = new Logger();
    }

    public function loggerData($mensagem)
    {
        $this->Logger->Log('info', $mensagem);
    }

    public function cadastrar(request $req)
    {

       /*  try { */
            Departamento::create([
                'vc_departamento' => $req->vc_departamento,
                'it_id_municipio' => $req->it_id_municipio,
                'vc_funcao' => $req->vc_funcao,
                'vc_servico' => $req->vc_servico
            ]);

            $this->loggerData(" Cadastrou o departamento " . $req->vc_departamento);
            return redirect()->back()->with('departamento.cadastrar.true', 1);
       /*  } catch (Exception $ex) {

            return redirect()->back()->with('erro_geral', 1);
        } */
    }

    public function listar()
    {

        $dados['municipios'] = Municipio::all();
        $dados['dep'] = DB::table('departamentos')
            ->join('municipios', 'municipios.id', 'departamentos.it_id_municipio')
            ->select('departamentos.*', 'municipios.nome')->get();

        return view('admin.departamento.listar.index', $dados);
    }

    public function editar(Request $req, $id)
    {
        try {

            $user =  Departamento::find($id)->update([
                'vc_departamento' => $req->vc_departamento,
                'it_id_municipio' => $req->it_id_municipio,
                'vc_funcao' > $req->vc_funcao,
                'vc_servico' > $req->vc_servico
            ]);



            $this->loggerData(" Editou o departamento " . $req->vc_departamento);

            return redirect()->route('admin.departamento.listar')->with('departamento.editar.true', 1);
        } catch (\Throwable $th) {

            return redirect()->back()->with('erro_geral', 1);
        }
    }
    public function paginaEditar($id)
    {
        $dados['dep'] = Departamento::find($id);

        $dados['municipios'] = Municipio::get();
        $dados['municipioSelecionado'] = Municipio::where('id', $dados['dep']->it_id_municipio)->get()->first();

        return view('admin.departamento.editar.index', $dados);
    }
    public function paginaDetalhe($id)
    {

        $dados['dep'] = Departamento::where('id', $id)->get()->first();
        $dados['admin'] = $this->funcionario->getDiretorDep($dados['dep']->id)->get()->first();
        $dados['dep_func']=$this->funcionario->getFuncionario($dados['dep']->id)->get();
        return view("admin.departamento.detalhe.index", $dados);
    }
    public function listarFuncionario($id)
    {

        $dados['departamentoSelecionado'] = Departamento::where('id', $id)->get()->first();
        $dados['departamento']=Departamento::get();
        $dados['funcionario'] = DB::table('funcionarios')
        ->join('users', 'users.id', 'funcionarios.it_id_user')
        ->join('imagens', 'imagens.id', 'funcionarios.it_id_image')
        ->select('funcionarios.*','users.email', 'users.vc_primeiroNome','users.vc_ultimoNome')->get();

        $dados['dep_func']=$this->funcionario->getFuncionario($dados['departamentoSelecionado']->id)->get();
        return view("admin.departamento.listarFunc.index", $dados);
    }
    public function eliminar($id)
    {
        try {
            $user = Departamento::find($id)->delete();
            $this->loggerData(" Eliminou o departamento " . $user->vc_departamento);
            return redirect()->back()->with('departamento.eliminar.true', 1);
        } catch (\Throwable $th) {
            return redirect()->back()->with('erro_geral', 1);
        }
    }
}
