<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Departamento;
use App\Models\Funcionario;
use App\Models\FuncionarioDepartamento;
use App\Models\Logger;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class DepartamentoFuncionarioController extends Controller
{
    public $Logger;
    public function __construct()
    {
        $this->Logger = new Logger();
    }

    public function loggerData($mensagem)
    {
        $this->Logger->Log('info', $mensagem);
    }

    public function cadastrar(request $req)
    {

       /*  try { */

       if(!$this->vrfDepartamento($req->it_id_departamento, $req->it_id_funcionario)){

            FuncionarioDepartamento::create([
                'it_id_departamento'=> $req->it_id_departamento,
                'it_id_funcionario'=> $req->it_id_funcionario,
            ]);

            $this->loggerData(" Cadastrou o departamento " . $req->it_id_departamento);
            return redirect()->route('admin.departamentoFuncionario.listar')->with('funcionario.vinculado.true', 1);
        }else{
        return redirect()->back()->with('funcionario.existe.true', 1);
        }
        /*  } catch (Exception $ex) {

            return redirect()->back()->with('erro_geral', 1);
        } */
    }
public function vrfDepartamento($departamento, $funcionario)  {
   return FuncionarioDepartamento::where('it_id_funcionario', $funcionario)
                ->where('it_id_departamento', $departamento)
                ->exists();
}
    public function listar()
    {

        $dados['departamento'] = Departamento::all();
        $dados['funcionario_dep'] = DB::table('funcionario_departamentos')
            ->join('departamentos', 'departamentos.id', 'funcionario_departamentos.it_id_departamento')
           ->join('funcionarios', 'funcionarios.id', 'funcionario_departamentos.it_id_funcionario')
            ->join('users', 'users.id', 'funcionarios.it_id_user')
            ->select('funcionarios.vc_cargo','departamentos.*','users.vc_primeiroNome','users.vc_ultimoNome')->get();

        $dados['funcionario']= Funcionario::join('users','users.id' ,'funcionarios.it_id_user')
            ->select('funcionarios.*','users.vc_primeiroNome', 'users.vc_ultimoNome')->get();

        return view('admin.departamentoFuncionario.listar.index', $dados);
    }

    public function editar(Request $req, $id)
    {
        try {

            $user =  FuncionarioDepartamento::find($id)->update([
               'it_id_departamento'=> $req->it_id_departamento,
                'it_id_funcionario'=> $req->it_id_funcionario,
            ]);



            $this->loggerData(" Editou o departamento " . $req->vc_departamento);

            return redirect()->route('admin.departamento.listar')->with('departamento.editar.true', 1);
        } catch (\Throwable $th) {

            return redirect()->back()->with('erro_geral', 1);
        }
    }
    public function paginaEditar($id)
    {
        $dados['dep'] = FuncionarioDepartamento::find($id);

        $dados['departamento'] = Departamento::get();
        $dados['departamentoSelecionado'] = Departamento::where('id', $dados['dep']->it_id_departamento)->get()->first();

        $dados['user'] = User::get();
        $dados['userSelecionado'] = User::where('id', $dados['dep']->it_id_user)->get()->first();

        return view('admin.departamento.editar.index', $dados);
    }

    public function paginaAdicionarId($id)
    {
        $dados['userSelecionado'] = Funcionario::join('users','users.id' ,'funcionarios.it_id_user')
        ->select('funcionarios.*','users.vc_primeiroNome', 'users.vc_ultimoNome')->where('funcionarios.id', $id)->get()->first();
        $dados['funcionario']= Funcionario::join('users','users.id' ,'funcionarios.it_id_user')
        ->select('funcionarios.*','users.vc_primeiroNome', 'users.vc_ultimoNome')->get();

        $dados['departamento'] = Departamento::get();

        return view('admin.departamentoFuncionario.adicionarId.index', $dados);
    }
    public function eliminar($id)
    {
        try {
            $user = FuncionarioDepartamento::find($id)->delete();
            $this->loggerData(" Eliminou o departamento " . $user->vc_departamento);
            return redirect()->back()->with('departamento.eliminar.true', 1);
        } catch (\Throwable $th) {
            return redirect()->back()->with('erro_geral', 1);
        }
    }
}
