<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Logger;
use App\Models\Documento;

class DocumentoController extends Controller
{
    public $Logger;
    public $pdf;

    public function __construct(ImagemController $pdf)
    {
        $this->Logger = new Logger();
        $this->pdf=$pdf;
    }

    public function loggerData($mensagem)
    {
        $this->Logger->Log('info', $mensagem);
    }

    public function cadastrar(request $req)
    {
        /*      try { */
        $pdf=$this->pdf->cadastrarPDF($req);

        Documento::create([
            'vc_categoria' => $req->vc_categoria,
            'vc_descricao' => $req->vc_descricao,
            'vc_titulo' => $req->vc_titulo,
            'vc_caminho_pdf' => $pdf
        ]);

        $this->loggerData(" Cadastrou o pdf " . $req->vc_titulo);
        return redirect()->back()->with('pdf.cadastrar.true', 1);
        /*   } catch (Exception $ex) {

            return redirect()->back()->with('pdf.cadastrar.false', 1);
        } */
    }

    public function listar()
    {
        $dados['documento'] = Documento::get();

        return view('admin.documento.listar.index', $dados);
    }


    public function actualizar(Request $req, $id)
    {
        try {
            $pdf=$this->pdf->cadastrarPDF($req);
            $user =  Documento::find($id)->update([
                'vc_categoria' => $req->vc_categoria,
                'vc_descricao' => $req->vc_descricao,
                'vc_titulo' => $req->vc_titulo,
                'vc_caminho_pdf' => $pdf
            ]);

            $this->loggerData(" Editou a pdf " . $req->vc_titulo);

            return redirect()->route('admin.user.listar')->with('pdf.editar.true', 1);
        } catch (\Throwable $th) {

            return redirect()->back()->with('pdf.editar.false', 1);
        }
    }
    public function editar($id)
    {
        $dados['documento'] = Documento::find($id);
        return view('admin.documento.editar.index', $dados);
    }

    public function eliminar($id)
    {
        try {
            $user = Documento::find($id)->delete();
            $this->loggerData(" Eliminou o pdf " . $user->vc_titulo);
            return redirect()->back()->with('pdf.eliminar.true', 1);
        } catch (\Throwable $th) {
            return redirect()->back()->with('pdf.eliminar.false', 1);
        }
    }
}
