<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\User;
use App\Models\Perfil;
use App\Models\Logger;
use App\Http\Controllers\Admin\UserController;
use App\Models\Departamento;
use App\Models\Funcionario;
use Exception;
use Illuminate\Support\Facades\DB;

class FuncionarioController extends Controller
{
    public $Logger;
    public $imagem;
    public $user;

    public function __construct(ImagemController $imagem, UserController $user)
    {
        $this->Logger = new Logger();
        $this->user = $user;
        $this->imagem = $imagem;
    }

    public function loggerData($mensagem)
    {
        $this->Logger->Log('info', $mensagem);
    }

    public function cadastrar(request $req)
    {
   /*      try { */
            $imagem = $this->imagem->cadastrarImagem($req, "funcionarios");
            $this->user->cadastrar($req);
            $idUser = $this->user->userCadastrado;
            Funcionario::create([
                'it_id_user' => $idUser,
                'it_id_image' => $imagem,
                'vc_cargo' => $req->vc_cargo
            ]);

            $this->loggerData(" Cadastrou o funcionario " . $req->vc_nome);
            return redirect()->back()->with('funcionario.cadastrar.true', 1);
      /*   } catch (Exception $ex) {

            return redirect()->back()->with('erro_geral', 1);
        } */
    }

    public function listar()
    {
        $dados['perfils'] = Perfil::all();
        $dados['funcionario'] = DB::table('funcionarios')
            ->join('users', 'users.id', 'funcionarios.it_id_user')
            ->join('imagens', 'imagens.id', 'funcionarios.it_id_image')
            ->select('funcionarios.*','users.email', 'users.vc_primeiroNome','users.vc_ultimoNome')->get();

        return view('admin.funcionario.listar.index', $dados);
    }


    public function actualizar(Request $req, $id)
    {
        try {

            $imagem = $this->imagem->cadastrarImagem($req, "funcionarios");
            $this->user->cadastrar($req);
            $idUser = $this->user->userCadastrado;

            $user =  Funcionario::find($id)->update([
                'it_id_user' => $idUser,
                'it_id_image' => $imagem,
                'vc_cargo' => $req->vc_cargo
            ]);

            $this->loggerData(" Editou o utilizador " . $req->vc_nome);

            return redirect()->route('admin.user.listar')->with('actualizado_geral', 1);
        } catch (\Throwable $th) {

            return redirect()->back()->with('erro_geral', 1);
        }
    }
    public function editar($id)
    {
        $dados['funcionario'] = Funcionario::find($id);
        $dados['users'] = User::get();
        $dados['userSelecionado'] = User::where(['id', $dados['user']->it_id_user])->get()->first();

        return view('admin.funcionario.editar.index', $dados);
    }

    public function eliminar($id)
    {
        try {
            $user = Funcionario::find($id)->delete();
            $this->loggerData(" Eliminou o funcionario " . $user->vc_nome);
            return redirect()->back()->with('eliminado_geral', 1);
        } catch (\Throwable $th) {
            return redirect()->back()->with('erro_geral', 1);
        }
    }
}
