<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Logger;
use App\Models\Municipio;
use App\Models\Provincia;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class MunicipioController extends Controller
{
    public $Logger;
    public function __construct()
    {
        $this->Logger = new Logger();
    }

    public function loggerData($mensagem)
    {

        $this->Logger->Log('info', $mensagem);
    }
   
    public function listar(){
        $dados['municipios']=DB::table('municipios')->join('provincias', 'municipios.it_id_provincias', 'provincias.id')
        ->select ('municipios.*', 'provincias.vc_nome')->get();
        $dados['provincias']=Provincia::get();
        return view('admin.municipio.listar.index',$dados);
        
    }

    public function store(Request $req){
    
        Municipio::create([

            'nome'=>$req->nome,
            'descricao'=>$req->descricao,
            'it_id_provincias'=>$req->it_id_provincia
        ]);
        /*$this->loggerData(" Adicionou um municipio ". $req->nome);*/
        return redirect()->back()->with("municipio.cadastrar.true",'1');
    }

    public function editar($id){

        $dados['municipio']=Municipio::find($id);
        $dados['ProvinciaSelecionada']=Provincia::where('id', $dados['municipio']->it_id_provincias)->get()->first();
        $dados['provincias']=Provincia::all();
        return view('admin.municipio.editar.index', $dados);

    }

    public function update(Request $res, $id){
    
        Municipio::find($id)->update([

            'nome'=>$res->nome,
            'descricao'=>$res->descricao,
            'it_id_provincias'=>$res->it_id_provincia
        ]);
        return redirect()-> route('admin.municipio.listar')
        ->with("municipio.editar.true",'1');;
    }

    public function eliminar($id){
        Municipio::find($id)-> delete();
        return redirect()->back()->with("municipio.eliminar.true",'1');
    }
}


