<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\User;
use App\Models\Logger;
use App\Http\Controllers\Admin\UserController;
use App\Models\CategoriaNoticia;
use App\Models\Imagen;
use App\Models\Noticia;
use Exception;
use Illuminate\Support\Facades\DB;

class NoticiaController extends Controller
{
    public $Logger;
    public $imagem;


    public function __construct(ImagemController $imagem)
    {
        $this->Logger = new Logger();
        $this->imagem = $imagem;
    }

    public function loggerData($mensagem)
    {
        $this->Logger->Log('info', $mensagem);
    }

    public function cadastrar(request $req)
    {
        /*      try { */
        $imagem = $this->imagem->cadastrarImagem($req, "noticias");
        Noticia::create([
            'vc_titulo' => $req->vc_titulo,
            'vc_descricao' => $req->vc_descricao,
            'vc_fonte' => $req->vc_fonte,
            'it_id_image' => $imagem,
            'it_id_categoria' => $req->it_id_categoria
        ]);

        $this->loggerData(" Cadastrou o noticia " . $req->vc_titulo);
        return redirect()->back()->with('noticia.cadastrar.true', 1);
        /*   } catch (Exception $ex) {

            return redirect()->back()->with('noticia.cadastrar.false', 1);
        } */
    }

    public function listar()
    {
        $dados['noticias'] = DB::table('noticias')
            ->join('categoria_noticias', 'categoria_noticias.id', 'noticias.it_id_categoria')
            ->join('imagens', 'imagens.id', 'noticias.it_id_image')
            ->select('categoria_noticias.vc_categoria', 'noticias.*', 'imagens.vc_caminho')->get();
        $dados['categorias'] = CategoriaNoticia::get();
        return view('admin.noticia.listar.index', $dados);
    }


    public function actualizar(Request $req, $id)
    {
        try {

            $imagem = $this->imagem->cadastrarImagem($req, "noticias");
            $user =  Noticia::find($id)->update([
                'vc_titulo' => $req->vc_titulo,
                'vc_descricao' => $req->vc_descricao,
                'vc_fonte' => $req->vc_fonte,
                'it_id_image' => $imagem,
                'it_id_categoria' => $req->it_id_categoria
            ]);

            $this->loggerData(" Editou a noticia " . $req->vc_titulo);

            return redirect()->route('admin.user.listar')->with('noticia.editar.true', 1);
        } catch (\Throwable $th) {

            return redirect()->back()->with('noticia.editar.false', 1);
        }
    }
    public function editar($id)
    {
        $dados['noticia'] = Noticia::find($id);
        $dados['categoriaSelecionada'] = CategoriaNoticia::where('id', $dados['noticia'])->get()->first();
        $dados['categorias'] = CategoriaNoticia::get();
        return view('admin.noticia.editar.index', $dados);
    }

    public function eliminar($id)
    {
        try {
            $user = Noticia::find($id)->delete();
            $this->loggerData(" Eliminou o noticia " . $user->vc_titulo);
            return redirect()->back()->with('noticia.eliminar.true', 1);
        } catch (\Throwable $th) {
            return redirect()->back()->with('noticia.eliminar.false', 1);
        }
    }
}
