<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules;
use App\Models\User;
use App\Models\Perfil;
use App\Models\Militante;
use App\Http\Controllers\SlugController;
use App\Models\Logger;
use Exception;



class PerfilController extends Controller
{
    public $Logger;
    public $slug_controller;
    public $utilizador;
    public function __construct(SlugController $slug_controller)
    {
        $this->slug_controller = $slug_controller;
        $this->Logger = new Logger();
    }

    public function loggerData($mensagem)
    {

        $this->Logger->Log('info', $mensagem);
    }
    public function cadastrar(request $req)
    {
        try {

            $slug = $this->slug_controller->gerar();
            Perfil::create([
                'vc_perfil' => $req->vc_perfil,
                'slug' => $slug
            ]);


            $this->loggerData(" Adicionou o perfil " . $req->vc_perfil);
            return redirect()->back()->with('cadastrado_geral', 1);
        } catch (Exception $ex) {

            return redirect()->back()->with('erro_geral', 1);
        }
    }

    public function listar()
    {

        $dados['perfil'] = Perfil::all();
        return view('admin.perfil.listar.index', $dados);
    }

    public function actualizar(Request $req, $id)
    {
        try {

            Perfil::find($id)->update([
                'vc_perfil' => $req->vc_perfil
            ]);

            //  $message = "Utilizador $req->vc_nome";
            $this->loggerData(" Editou o perfil " . $req->vc_perfil);
            return redirect()->route('admin.perfis')->with('actualizado_geral', 1);
        } catch (\Throwable $th) {

            return redirect()->back()->with('erro_geral', 1);
        }
    }
    public function paginaEditar($id)
    {

        $dados['perfil'] = Perfil::find($id);


        return view('admin.perfil.editar.index', $dados);
    }
    public function eliminar($id)
    {
        try {
            $req = Perfil::find($id)->delete();
            $this->loggerData(" Eliminou o perfil " . $req->vc_perfil);
            return redirect()->back()->with('eliminado_geral', 1);
        } catch (\Throwable $th) {
            return redirect()->back()->with('erro_geral', 1);
        }
    }
}
