<?php

namespace App\Http\Controllers\Admin\Relatorios;

use App\Http\Controllers\Controller;
use App\Models\AnoLectivo;
use App\Models\Escola;
use App\Models\Municipio;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class EscolaMunicipioController extends Controller
{


    public function searchGet()
    {
        $response['municipios'] = Municipio::get();
        $response['ano_lectivos'] = AnoLectivo::where([['it_estado', 1]])->get();
        // dd( $response['ano_lectivos']);
        return view('admin.pdfs.escola_municipio.pesquisa.index', $response);
    }
    public function searchPost(Request $request)
    {
        // dd($request);

        $res['anoLectivo'] = isset(AnoLectivo::find($request->it_id_anoLectivo)->vc_ano_lectivo)?AnoLectivo::find($request->it_id_anoLectivo)->vc_ano_lectivo:'Todos';
        $res['municipio'] = isset(Municipio::find($request->it_id_municipio)->vc_nomeMunicipio)?Municipio::find($request->it_id_municipio)->vc_nomeMunicipio:'Todos';

        $mpdf = new \Mpdf\Mpdf(['orientation' => 'L']);
        $dados=$this->filtrarDados($request);

        if($request->saida=="nao_contabilizado"){

            $res['escolas']=  $dados->select('escolas.*')->get();

            $html = view("admin/pdfs/escola_municipio/nao_contabilizado/index", $res);
        }else{
            $res['total']=  $dados->count();
            $html = view("admin/pdfs/escola_municipio/contalizado/index", $res);
        }
        $css = file_get_contents("/var/www/html/edu/edu/public/css/bootstrap.min.css");
        $css1 = file_get_contents("/var/www/html/edu/edu/public/css/style.css");
        $mpdf->WriteHTML($css, \Mpdf\HTMLParserMode::HEADER_CSS);
        $mpdf->WriteHTML($css1, \Mpdf\HTMLParserMode::HEADER_CSS);
        $mpdf->WriteHTML($html, \Mpdf\HTMLParserMode::HTML_BODY);
        $mpdf->Output();



}

    public function filtrarDados(Request $request)
    {

        $escolaMunicipio = $this->escolaMunicipio();
        if ($request->it_id_municipio != "Todos") {
            $escolaMunicipio = $escolaMunicipio->where('escolas.it_id_municipio', $request->it_id_municipio);
        }
        if ($request->it_id_anoLectivo != "Todos") {

            $escolaMunicipio = $this->escolaAnoLectivo($escolaMunicipio, $request->it_id_anoLectivo)->where('escolas.it_id_municipio', $request->it_id_municipio);

        }
        if ($request->it_id_anoLectivo != "Todos" && $request->it_id_municipio == "Todos") {

            $escolaMunicipio = $this->escolaAnoLectivo($escolaMunicipio, $request->it_id_anoLectivo);

        }
        return $escolaMunicipio;

        // return redirect("admin/escola/escola_municipio/index/{$request->it_id_municipio}");
    }
    public function escolaAnoLectivo($escolaMunicipio, $id_anoLectivo)
    {

        $anoLectivo = AnoLectivo::find($id_anoLectivo);
        $anos = explode("-", $anoLectivo->vc_ano_lectivo);
        $escolaMunicipio->whereYear('escolas.created_at', $anos['0']);
        $escolaMunicipio->orWhereYear('escolas.created_at', $anos['1']);
        return $escolaMunicipio;
        // return redirect("admin/escola/escola_municipio/index/{$request->it_id_municipio}");
    }
    public function escolaMunicipio()
    {
        return $dados['escolas'] = DB::table('escolas')
            ->join('municipios', 'municipios.id', 'escolas.it_id_municipio');

    }
}
