<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Departamento;
use App\Models\Funcionario;
use App\Models\Sobre;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SobreController extends Controller
{
    public $imagem;
    public $funcionario;

    public function __construct(ImagemController $imagem, Funcionario $funcionario)
    {
        $this->funcionario = $funcionario;
        $this->imagem = $imagem;
    }
    public function cadastrar(Request $req)
    {
        $imagem = $this->imagem->cadastrarImagem($req, "sobre");
        Sobre::create([
            'vc_contato'=> $req->vc_contato,
            'vc_email'=> $req->vc_email,
            'vc_economia' => $req->vc_economia,
            'vc_geografia' => $req->vc_geografia,
            'vc_historia' => $req->vc_historia,
            'it_id_municipio' => $req->it_id_municipio,
            'vc_cultura' => $req->vc_cultura,
            'it_id_image' => $imagem
        ]);
        return redirect()->back()->with("sobre.cadastrar.true", '1');
    }


    public function listar()
    {
        $data['sobre'] = Sobre::get();
        return view('admin.sobre.listar.index', $data);
    }

    public function editar($id, request $req)
    {
        $imagem = $this->imagem->cadastrarImagem($req, "sobre");
        Sobre::find($id)->update([
            'vc_contato'=> $req->vc_contato,
            'vc_email'=> $req->vc_email,
            'vc_economia' => $req->vc_economia,
            'vc_geografia' => $req->vc_geografia,
            'vc_historia' => $req->vc_historia,
            'it_id_municipio' => $req->it_id_municipio,
            'vc_cultura' => $req->vc_cultura,
            'it_id_image' => $imagem

        ]);
        $this->loggerData(" Editou a sobre" . $req->vc_nome);
        return redirect()->route('admin.sobre.listar')->with("sobre.editar.true", '1');
    }
    public function paginaEditar($id)
    {
        $dados['sobre'] = Sobre::find($id);

        return view("admin.sobre.editar.index", $dados);
    }
    public function paginaDetalhe($id)
    {

        $dados['sobre'] = Sobre::where('id', $id)->get()->first();
        $dados['admin'] = $this->funcionario->getAdmin()->get()->first();
        $dados['dep']=$this->funcionario->getDiretor()->get();
        return view("admin.sobre.detalhe.index", $dados);
    }
    public function eliminar($id)
    {

        $data = Sobre::where("id", $id)->delete();
        /* $this->loggerData(" Adicionou a sobre". $data->vc_nome);*/
        return redirect()->back()->with("sobre.eliminar.true");
    }
}
