<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules;
use App\Models\User;
use App\Models\Perfil;
use App\Models\Escola;
use App\Models\Logger;
use App\Http\Controllers\SlugController;
use App\Models\LoggerTeacher;
use Exception;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class UserController extends Controller
{
    public $Logger;
    public $slug_controller;
    public $utilizador;
    public $userCadastrado;

    public function __construct(SlugController $slug_controller, User $utilizador)
    {
        $this->slug_controller = $slug_controller;
        $this->utilizador = $utilizador;
        $this->userCadastrado = null;
        $this->Logger = new Logger();
    }


    public function loggerData($mensagem)
    {

        $this->Logger->Log('info', $mensagem);
    }

    public function cadastrar(request $req)
    {

   /*      try { */

            $slug = $this->slug_controller->gerar();
            $user = User::create([
                'vc_primeiroNome' => $req->vc_primeiroNome,
                'vc_nomeMeio' => $req->vc_nomeMeio,
                'vc_ultimoNome' => $req->vc_ultimoNome,
                'it_id_perfil' => $req->it_id_perfil,
                'email' => $req->email,
                'it_telefone' => $req->it_telefone,
                'password' => Hash::make($req->password),
                'slug' => $slug,
                'it_bi' => $req->it_bi,
            ]);
            $this->userCadastrado = $user->id;
            $this->loggerData(" Cadastrou o utilizador " . $req->vc_nome);
            return redirect()->back()->with('cadastrado_geral', 1);
        /* } catch (Exception $ex) {

            return redirect()->back()->with('erro_geral', 1);
        } */
    }
    public function listar()
    {

        $dados['perfils'] = Perfil::all();
        $dados['user'] = $this->utilizador->utilizadores()->select('users.*', 'perfils.vc_perfil')->get();

        return view('admin.user.listar.index', $dados);
    }

    public function listarAdministrador()
    {

        $dados['perfils'] = Perfil::all();
        $dados['user'] = $this->utilizador->utilizadores()->select('users.*', 'perfils.vc_perfil')->get();

        return view('admin.user.listar.index', $dados);
    }
    public function actualizar(Request $req, $id)
    {
        try {


            if (isset($req->password)) {
                $req->validate([
                    'password' => ['required', 'confirmed', Rules\Password::defaults()],
                ]);
            }


            $perfil =  Perfil::find($req->it_id_perfil);
            $usuario = User::find($id);

            $user =  User::find($id)->update([
                'vc_primeiroNome' => $req->vc_primeiroNome,
                'vc_nomeMeio' => $req->vc_nomeMeio,
                'vc_ultimoNome' => $req->vc_ultimoNome,
                'it_id_perfil' => $req->it_id_perfil,
                'email' => $req->email,
                'it_telefone' => $req->it_telefone,
                'password' => Hash::make($req->password),
                'it_bi' => $req->it_bi,
            ]);


            if ($usuario->it_id_escola != $req->it_id_escola && $req->it_id_perfil == 2) {
                $user = User::find($id);
            }
            $this->loggerData(" Editou o utilizador " . $req->vc_nome);

            return redirect()->route('admin.user.listar')->with('actualizado_geral', 1);
        } catch (\Throwable $th) {

            return redirect()->back()->with('erro_geral', 1);
        }
    }
    public function editar($id)
    {
        $dados['user'] = User::find($id);
        $dados['perfils'] = Perfil::get();
        $dados['perfilSelecionado'] = Perfil::where(['id', $dados['user']->it_id_perfil])->get()->first();

        return view('admin.user.editar.index', $dados);
    }
    public function eliminar($id)
    {
        try {
            $user = User::find($id)->delete();
            $this->loggerData(" Eliminou o utilizador " . $user->vc_nome);
            return redirect()->back()->with('eliminado_geral', 1);
        } catch (\Throwable $th) {
            return redirect()->back()->with('erro_geral', 1);
        }
    }
}
