<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Http\Controllers\SlugController;
use App\Models\AreaFormacao;
use App\Models\Endereco;
use App\Models\Escola;
use App\Models\Municipio;
use App\Models\Perfil;
use App\Models\RequisistoProfessor;
use App\Models\User;
use App\Models\UserProfessor;
use App\Models\VagaProfessor;
use App\Providers\RouteServiceProvider;
use Illuminate\Auth\Events\Registered;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules;

class RegisteredUserController extends Controller
{
    /**
     * Display the registration view.
     *
     * @return \Illuminate\View\View
     */
    public function create()
    {

        $dados['municipios'] = Municipio::all();
        return view('auth.register', $dados);
    }

    /**
     * Handle an incoming registration request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     *
     * @throws \Illuminate\Validation\ValidationException
     */
    public $slug_controller;
    public $utilizador;
    public function __construct(SlugController $slug_controller, User $utilizador)
    {
        $this->slug_controller = $slug_controller;
        $this->utilizador = $utilizador;
    }

    public function store(Request $request)
    {
          try {

        $perfil =  Perfil::find(2);
        $slug = $this->slug_controller->gerar();
        $data =  $this->vrf_professor($request->it_n_agente);
        if ($data) {
            $user =  User::create([
                'vc_nome' => $request->vc_nome,
                'vc_primeiroNome' => $request->vc_primeiroNome,
                'vc_nomeMeio' => $request->vc_nomeMeio,
                'vc_ultimoNome' => $request->vc_ultimoNome,
                'it_id_perfil' => 2,
                'email' => $request->email,
                'it_telefone' => $request->it_telefone,
                'password' => Hash::make($request->password),
                'vc_perfil' => $perfil->vc_perfil,
                'slug' => $slug,
                'it_n_agente' => $request->it_n_agente,
                'it_id_escola' => $request->it_id_escola == 'nenhuma' ? null : $request->it_id_escola
            ]);

          
        } else {
            return redirect()->back()->with('sem_professor', 1);
        }

        event(new Registered($user));
        Auth::login($user);

        return redirect()->route('site.dashboard')->with("user.cadastrar.true", '1');
        } catch (\Throwable $th) {
            return redirect()->back()->with("user.cadastrar.false", '1');
        }
    }


    public function  vrf_professor($it_n_agente)
    {
        return  DB::table('professors')->where('it_n_agente', $it_n_agente)->count();
    }
}
