<?php

namespace App\Http\Controllers\Site;

use App\Http\Controllers\Controller;
use App\Models\CategoriaNoticia;
use App\Models\Escola;
use App\Models\Municipio;
use App\Models\Professor;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Models\Feedback;
use App\Models\Funcionario;
use App\Models\Noticia;
use App\Models\Sobre;

class HomeController extends Controller
{

    public $funcionario;
    public function __construct(Funcionario $funcionario)
    {
        $this->funcionario = $funcionario;

    }
    public function index()
    {
        $dados['noticias'] = DB::table('noticias')
            ->join('imagens', 'imagens.id', 'noticias.it_id_image')
            ->select('noticias.*', 'imagens.vc_caminho')->get();

        return view('site.home', $dados);
    }

    public function sobre()
    {
        return view('site.sobre.index');
    }
    public function noticia()
    {
        $dados['noticias'] = DB::table('noticias')
            ->join('categoria_noticias', 'categoria_noticias.id', 'noticias.it_id_categoria')
            ->join('imagens', 'imagens.id', 'noticias.it_id_image')
            ->select('categoria_noticias.vc_categoria', 'noticias.*', 'imagens.vc_caminho')->get();
        $dados['categorias'] = CategoriaNoticia::get();
        return view('site.noticia.index', $dados);
    }
    public function noticiaRead($id)
    {
        $dados['noticias'] = DB::table('noticias')
            ->join('categoria_noticias', 'categoria_noticias.id', 'noticias.it_id_categoria')
            ->join('imagens', 'imagens.id', 'noticias.it_id_image')
            ->where('noticias.id', $id)
            ->select('categoria_noticias.vc_categoria', 'noticias.*', 'imagens.vc_caminho')->get()->first();
        $dados['categorias'] = CategoriaNoticia::withCount('noticias')->get();
        return view('site.noticia.indexRead', $dados);
    }
    public function historia(){
        $dados['sobre'] = Sobre::get();
        $dados['admin']=$this->funcionario->getAdmin();
        return view('site.historia', $dados);
    }

    public function dash()
    {
        $dados['tt_bairro'] = DB::table('bairros')->count();
        $dados['tt_dep'] = DB::table('departamentos')->count();
        $dados['tt_diretor'] = DB::table('funcionarios')->where('vc_cargo', 'Director')->count();
        $dados['tt_func'] = DB::table('funcionarios')->count();


        return view('admin.dashboard', $dados);
    }
}
