<?php

namespace App\Http\Controllers\Site;

use App\Http\Controllers\Controller;
use App\Http\Controllers\SlugController;
use App\Models\AreaFormacao;
use App\Models\Endereco;
use App\Models\Escola;
use App\Models\Municipio;
use App\Models\Perfil;
use App\Models\User;
use App\Models\UserProfessor;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class UserController extends Controller
{
    public $slug_controller;
    public $utilizador;
    public function __construct(SlugController $slug_controller, User $utilizador)
    {
        $this->slug_controller = $slug_controller;
        $this->utilizador = $utilizador;
    }
    public function editPerfil($id)
    {
        $user = Auth::id();

        $dados['userProfessor'] = User::where('id', $user)->get()->first();
        $dados['user'] = DB::table('users')
            ->leftjoin('user_professors', 'user_professors.it_id_user_professor', '=', 'users.id')
            ->leftjoin('enderecos', 'enderecos.it_id_user', 'users.id')
            ->where('users.id', $id)
            ->select('enderecos.*', 'user_professors.*', 'users.*', 'users.id as it_id_candidato')
            ->get()->first();
        $dados['municipios'] = Municipio::get();
        $dados['municipioSelecionado'] = Municipio::where([['id', $dados['user']->it_id_municipio]])->get()->first();
        $dados['perfis'] = Perfil::all();
        $dados['escolas'] = Escola::all();
        $dados['escolaSelecionado'] = Escola::where([['id',   $dados['user']->it_id_escola]])->get()->first();

        $dados['area_formacaos'] = AreaFormacao::get();
        $dados['areaSelecionado'] = AreaFormacao::where([['id',   $dados['user']->it_id_arae_formacao]])->get()->first();
        return view('site.subscricao.perfil.index', $dados);
    }
    public function updatePerfil(Request $request, $id)
    {
        /*    try { */

        $perfil =  Perfil::find(2);
        $slug = $this->slug_controller->gerar();
        $user =  User::find($id)->update([
            'vc_nome' => $request->vc_nome,
            'vc_primeiroNome' => $request->vc_primeiroNome,
            'vc_nomeMeio' => $request->vc_nomeMeio,
            'vc_ultimoNome' => $request->vc_ultimoNome,
            'it_id_perfil' => 2,
            'email' => $request->email,
            'it_telefone' => $request->it_telefone,
            'it_n_agente' => $request->it_n_agente,
            'password' => Hash::make($request->password),
            'vc_perfil' => $perfil->vc_perfil,
            'slug' => $slug,
            'it_id_escola' => $request->it_id_escola == 'nenhuma' ? null : $request->it_id_escola
        ]);
        UserProfessor::where('it_id_user_professor', $id)->update([
            'dt_nascimento' => $request->dt_nascimento,
            'nacionalidade' => $request->nacionalidade,
            'vc_genero' => $request->vc_genero,
            'it_estado' => 1,

            'vc_estado_carreira' => $request->vc_estado_carreira,
            'it_id_arae_formacao' => $request->it_id_arae_formacao,
            'dt_inicio_carreira' => $request->dt_inicio_carreira,
            'vc_escola_inicial' => $request->vc_escola_inicial,
            'vc_grau_academico' => $request->vc_grau_academico,
            'dt_conclusao_formatura' => $request->dt_conclusao_formatura,
            'vc_area_funcional' => $request->vc_area_funcional,
            'it_id_user_professor' => $id,

        ]);

        Endereco::where('it_id_user', $id)->update([
            'vc_rua' => $request->vc_rua,
            'vc_bairro' => $request->vc_bairro,
            'it_id_municipio' => $request->it_id_municipio,
            'it_id_user' => $id,
        ]);


        $user = Auth::user();
        $this->logProfessor($user->vc_primeiroNome . ' ' . $user->vc_ultimoNome . " editou o seu perfil ", $user->id);
        $this->loggerData("O professor " . $user->vc_nome . " editou o seu perfil ");

        return redirect()->back()->with('status', '1');
        /*  } catch (\Throwable $th) {
            return redirect()->back()->with('erro_editar', '1');
        } */
    }
}
