<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Funcionario extends Model
{
    use HasFactory;
    protected $fillable =['it_id_user','it_id_image','vc_cargo'];

    public function getAdmin(){

    $dados = DB::table('funcionarios')
        ->join('users', 'users.id', 'funcionarios.it_id_user')
        ->join('imagens', 'imagens.id', 'funcionarios.it_id_image')
        ->select('imagens.vc_caminho','funcionarios.*','users.email', 'users.vc_primeiroNome','users.vc_ultimoNome')
        ->where('funcionarios.vc_cargo', 'Administrador');


        return $dados;
    }
    public function getDiretor(){
        $dados = DB::table('departamentos')
            ->leftJoin('funcionario_departamentos', 'departamentos.id', '=', 'funcionario_departamentos.it_id_departamento')
            ->leftJoin('funcionarios', function ($join) {
                $join->on('funcionarios.id', '=', 'funcionario_departamentos.it_id_funcionario')
                     ->where('funcionarios.vc_cargo', '=', 'Diretor');
            })
            ->leftJoin('imagens', 'imagens.id', '=', 'funcionarios.it_id_image')
            ->leftJoin('users', 'users.id', '=', 'funcionarios.it_id_user')
            ->select(
                'departamentos.id as id_departamento',
                'departamentos.vc_departamento',
                'funcionarios.vc_cargo',
                'users.vc_primeiroNome',
                'users.vc_ultimoNome',
                'users.email',
                'imagens.vc_caminho'
            )
            ->groupBy(
                'departamentos.id',
                'departamentos.vc_departamento',
                'funcionarios.vc_cargo',
                'users.vc_primeiroNome',
                'users.vc_ultimoNome',
                'users.email',
                'imagens.vc_caminho'
            );


        return $dados;
    }
    
    public function getDiretorDep($dep){
        $dados = DB::table('funcionario_departamentos')
            ->Join('departamentos', 'departamentos.id', '=', 'funcionario_departamentos.it_id_departamento')
           ->join('funcionarios', 'funcionarios.id','funcionario_departamentos.it_id_funcionario' )
            ->Join('imagens', 'imagens.id', '=', 'funcionarios.it_id_image')
            ->Join('users', 'users.id', '=', 'funcionarios.it_id_user')
            ->where('funcionario_departamentos.it_id_departamento', $dep)
            ->where('funcionarios.vc_cargo', '=', 'Diretor')
            ->select(
                'departamentos.*',
                'funcionarios.vc_cargo',
                'users.vc_primeiroNome',
                'users.vc_ultimoNome',
                'users.email',
                'imagens.vc_caminho'
            );



        return $dados;
    }
    public function getFuncionario($dep){
        $dados = DB::table('funcionario_departamentos')
            ->Join('departamentos', 'departamentos.id', '=', 'funcionario_departamentos.it_id_departamento')
            ->Join('funcionarios','funcionarios.id', '=', 'funcionario_departamentos.it_id_funcionario')
            ->leftJoin('imagens', 'imagens.id', '=', 'funcionarios.it_id_image')
            ->Join('users', 'users.id', '=', 'funcionarios.it_id_user')
            ->where('funcionario_departamentos.it_id_departamento', $dep)
            ->select(
                'funcionario_departamentos.id as id_departamento',
                'funcionario_departamentos.created_at',
                'departamentos.vc_departamento',
                'funcionarios.vc_cargo',
                'users.vc_primeiroNome',
                'users.vc_ultimoNome',
                'users.email',
                'imagens.vc_caminho'
            );



        return $dados;
    }
}
