<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('vc_primeiroNome')->nullable();
            $table->string('vc_nomeMeio')->nullable();
            $table->string('vc_ultimoNome')->nullable();
            $table->unsignedBigInteger('it_id_perfil')->nullable();
            $table->foreign('it_id_perfil')->references('id')->on('perfils');
            $table->integer('it_telefone');
            $table->string('email')->unique();
            $table->string('it_bi')->unique()->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('slug')->nullable();
            $table->softDeletes();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
