<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSobresTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sobres', function (Blueprint $table) {
            $table->id();
            $table->string('vc_contato')->nullable();
            $table->string('vc_email')->nullable();
            $table->text('vc_historia')->nullable();
            $table->text('vc_cultura')->nullable();
            $table->text('vc_economia')->nullable();
            $table->text('vc_geografia')->nullable();
            $table->unsignedBigInteger('it_id_municipio')->default(1)->nullable();
            $table->foreign('it_id_municipio')->references('id')->on('municipios');
            $table->unsignedBigInteger('it_id_image')->nullable();
            $table->foreign('it_id_image')->references('id')->on('imagens');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('sobres');
    }
}
