<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNoticiasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('noticias', function (Blueprint $table) {
            $table->id();
            $table->string('vc_titulo')->nullable();
            $table->text('vc_descricao')->nullable();
            $table->string('vc_fonte')->nullable();
            $table->unsignedBigInteger('it_id_categoria')->nullable();
            $table->foreign('it_id_categoria')->references('id')->on('categoria_noticias');
            $table->unsignedBigInteger('it_id_image')->nullable();
            $table->foreign('it_id_image')->references('id')->on('imagens');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('noticias');
    }
}
