@extends('layouts.merge.painel')
@section('titulo', 'Lista de Anos Lectivos')

@section('conteudo')
    <div class="card mb-2">
        <div class="card-body">
            <h2 class="h5 page-title">
                Lista de Anos Lectivos
            </h2>
        </div>
    </div>
    <div class="card shadow mb-4">
        <div class="card-body">
            <!-- sweetalert -->
            <div class="w-100 d-flex justify-content-end">
                <a  ><i class="fas fa-plus-circle p-2 "  data-toggle="modal" data-target=".bd-example-modal-lg" style="font-size: 20px; color:#003B76;"></i></a>
            </div>
            <table class="table datatables table-hover table-bordered" id="caps">
                <thead class="thead-dark">
                    <tr class="text-center">
                        <th>ID</th>
                        <th>ANO LECTIVO</th>
                        <th>ACÇÕES</th>
                    </tr>
                </thead>
                <tbody class="bg-white">

                    @foreach ($ano_lectivos as $ano_lectivo)
                        <tr class="text-center">
                            <th>{{ $ano_lectivo->id}}</th>
                            <th>{{ $ano_lectivo->vc_ano_lectivo }} </th>

                            @csrf
                            @method('delete')
                            <td>
                                <div class="dropdown">
                                    <button class="btn btn-dark btn-sm dropdown-toggle" type="button"
                                        id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true"
                                        aria-expanded="false">
                                        <i class="fa fa-clone fa-sm" aria-hidden="true"></i>
                                    </button>
                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                        <a href="{{ route('admin.ano_lectivo.editar', $ano_lectivo->id) }}"
                                            class="dropdown-item">Editar</a>
                                      <a href="{{ route('admin.ano_lectivo.eliminar', $ano_lectivo->id) }}"
                                            class="dropdown-item"
                                            data-confirm="Tem certeza que deseja eliminar?">Eliminar</a>


                                    </div>
                                </div>
                            </td>
                        </tr>
                    @endforeach

                </tbody>
            </table>
            <script src="/js/datatables/jquery-3.5.1.js"></script>

            <script>
                $(document).ready(function() {
                    //start delete
                    $('a[data-confirm]').click(function(ev) {
                        var href = $(this).attr('href');
                        if (!$('#confirm-delete').length) {
                            $('table').append(
                                '<div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"><div class="modal-dialog" role="document"><div class="modal-content"> <div class="modal-header"> <h5 class="modal-title" id="exampleModalLabel">Eliminar os dados</h5><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button></div><div class="modal-body">Tem certeza que pretende elimnar?</div><div class="modal-footer"><button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button> <a  class="btn btn-info" id="dataConfirmOk">Eliminar</a> </div></div></div></div>'
                            );
                        }
                        $('#dataConfirmOk').attr('href', href);
                        $('#confirm-delete').modal({
                            shown: true
                        });
                        return false;
                    });
                    //end delete
                });
            </script>
            <!-- Footer-->
        </div>
    </div>

    @if (session('ano_lectivo.eliminar.true'))
     <script>
         Swal.fire(
             'Ano Lectivo Eliminado com sucesso!',
             '',
             'success'
         )

     </script>
 @endif
 <div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
          <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Cadastrar ano lectivo </h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">

                <div class="card shadow mb-4">
                    <div class="card-body">
                        <form action="{{ route('admin.ano_lectivo.store')}}" method="post" class="row">
                            @include('forms._formAnoLectivo.index')
                        </form>
                    </div>
                </div>
             
          </div>
      </div>
    </div>
  </div>


  @if (session('ano_lectivo.cadastrar.true'))
<script>
    Swal.fire(
        'Ano Lectivo Cadastrado Com Sucesso!',
        '',
        'success'
    )

</script>
@endif

@if (session('ano_lectivo.cadastrar.false'))
<script>
    Swal.fire(
        'Erro ao cadastrar Ano Lectivo!',
        '',
        'error'
    )

</script>
@endif
@endsection