@extends('layouts._includes.admin.Header')
@section('titulo', 'Editar Sobre')
@section('conteudo')

    <style>
        .header {
            background-color: #fff;
            padding: 20px;
            border: 1px solid #ddd;
            border-radius: 8px;
            margin-bottom: 30px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
        }

        .header h1 {
            margin-top: 0;
        }

        .section {
            margin-bottom: 40px;
        }

        .section h2 {
            background-color: #e5e5e5;
            padding: 10px;
            border-left: 5px solid #001a4e;
        }

        .item {
            display: flex;
            align-items: center;
            background-color: #fff;
            margin: 10px 0;
            padding: 15px;
            border: 1px solid #ddd;
            border-radius: 8px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
        }

        .item img {
            width: 80px;
            height: 80px;
            border-radius: 50%;
            margin-right: 20px;
            object-fit: cover;
        }

        .info p {
            margin: 5px 0;
        }

        .label {
            font-weight: bold;
        }
    </style>
    <div class="card mb-2">
        <div class="card-body">
            <h2 class="h5 page-title">
                Detalhe do Departamento
            </h2>
        </div>
    </div>
    <div class="card shadow mb-4">
        <div class="card-body">
            <div class="container-fluid">
                <div class="row justify-content-center">
                    <div class="col-12">
                        <div class="header">
                            <h1>Departamento {{ $dep->vc_departamento }}</h1>
                            <p><span class="label">Descrição:</span>{{ $dep->vc_funcao }}</p>
                            <p><span class="label">Serviço:</span> {{ $dep->vc_servico }}</p>
                        </div>

                        <div class="section">
                            <h2>Directo Geral</h2>
                            <div class="item">
                                @if (isset($admin))


                                <img src="{{isset( $admin->vc_caminho) ? $admin->vc_caminho: ''}}" alt=" {{ $admin->vc_primeiroNome }}">
                                <div class="info">
                                    <p><span class="label">Nome:</span>
                                        {{ $admin->vc_primeiroNome . ' ' . $admin->vc_ultimoNome }}</p>
                                    <p><span class="label">Email:</span> {{ $admin->email }}</p>
                                </div>
                                @endif
                            </div>
                        </div>

                        <div class="section">
                            <h2>funcionarios do Departamento</h2>
                            @foreach ($dep_func as $item)
                                <div class="item">
                                    <img src="{{isset( $item->vc_caminho) ? $item->vc_caminho: ''}}" alt="{{$item->vc_primeiroNome}}">
                                    <div class="info">
                                        <p><span class="label">Nome:</span> {{ $item->vc_primeiroNome. ' '. $item->vc_ultimoNome }}</p>
                                        <p><span class="label">Email:</span> {{ $item->email }}</p>
                                        <p><span class="label">Cargo:</span>{{$item->vc_cargo}}</p>
                                        <p><span class="label">Data de cadastro:</span> {{ $item->created_at }}</p>
                                    </div>
                                </div>
                            @endforeach
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>







@endsection
