<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mapa do Município</title>
    <script src="https://maps.googleapis.com/maps/api/js?key={{ config('services.google_maps.api_key') }}"></script>
    <script>
        function initMap() {
            var map = new google.maps.Map(document.getElementById('map'), {
                zoom: 12,
                center: { lat: -8.839988, lng: 13.289436 } // Exemplo: Luanda
            });

            fetch('/entidades')
                .then(response => response.json())
                .then(data => {
                    data.forEach(entidade => {
                        var marker = new google.maps.Marker({
                            position: { lat: parseFloat(entidade.latitude), lng: parseFloat(entidade.longitude) },
                            map: map,
                            title: entidade.nome
                        });

                        var infoWindow = new google.maps.InfoWindow({
                            content: `<h3>${entidade.nome}</h3><p>Tipo: ${entidade.tipo}</p>`
                        });

                        marker.addListener('click', function () {
                            infoWindow.open(map, marker);
                        });
                    });
                });
        }
    </script>
</head>
<body onload="initMap()">
    <h1>Mapa do Município</h1>
    <div id="map" style="width: 100%; height: 500px;"></div>
</body>
</html>
