@extends('layouts.merge.painel')
@section('titulo', 'relatório')
@section('conteudo')

    <div class="card mb-2">
        <div class="card-body">
            <h2 class="h5 page-title">
                Relatório Escola por Municipio
            </h2>
        </div>
    </div>
    <div class="card shadow mb-4">
        <div class="card-body">
            <form action="{{ route('admin.relatorios.escola_municipio.searchPost') }}" target="_blank" method="POST">
                @csrf
                <div class="row">

                    <div class="form-group col-md-4">
                        <label for="it_id_municipio">Municipio</label>
                        <select id="it_id_municipio" name="it_id_municipio" class="form-control js-example-basic-single " required>
                            <option selected disabled value="">Selecione o Municipio</option>

                            @foreach ($municipios as $municipio)
                                <option value="{{ $municipio->id }}">{{ $municipio->vc_nomeMunicipio }}</option>
                            @endforeach

                            <option value="Todos">Todos</option>
                        </select>

                    </div>

                    <div class="form-group col-md-4">
                        <label for="it_id_anoLectivo">Ano lectivo</label>
                        <select id="it_id_anoLectivo" name="it_id_anoLectivo" class="form-control " required>
                            <option selected disabled value="">Selecione o ano lectivo</option>
                            <option value="Todos">Todos</option>
                            @foreach ($ano_lectivos as $ano_lectivo)
                                <option value="{{ $ano_lectivo->id }}">{{ $ano_lectivo->vc_ano_lectivo }}</option>
                            @endforeach


                        </select>

                    </div>
                    <div class="form-group col-md-4">
                        <label for="saida">Saída:</label>
                        <select id="saida" name="saida" class="form-control " required>
                            <option selected disabled value="">Selecione a Saída</option>
                            <option value="nao_contabilizado">Não contabilizado</option>
                            <option value="contabilizado">Contabilizado</option>
                        </select>

                    </div>

                </div>

                <div class="form-group text-center col-md-12 d-flex justify-content-center">

                    <button type="submit" class="btn w-25 btn-primary">
                        Emitir
                        <span class="fe fe-chevron-right fe-16 mt-4"></span>
                    </button>

                </div>

            </form>
        </div>
    </div>


@endsection
