@csrf

<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label for="vc_titulo">{{ __('Titulo da Notícia:') }}</label>
            <input value="{{ isset($noticia->vc_titulo) ? $noticia->vc_titulo : '' }}" id="vc_titulo" type="text"
                class="form-control @error('vc_titulo') is-invalid @enderror" name="vc_titulo"
                placeholder="Escreva o titulo da noticia" required autocomplete="vc_titulo">

        </div>
    </div>

    <div class="col-md-6">
        <div class="form-group">
            <label for="it_id_categoria">{{ __('Categoria Noticia') }}</label>
            <select class="form-control js-example-basic-single @error('it_id_categoria') is-invalid @enderror"
                name="it_id_categoria" required autocomplete="it_id_categoria" autofocus>
                <option value="{{ isset($categoriaSelecionada) ? $categoriaSelecionada->id : '' }}">
                    {{ isset($categoriaSelecionada) ? $categoriaSelecionada->name : 'Selecionar  categoria' }}</option>
                @foreach ($categorias as $categoria)
                    @if (isset($categoriaSelecionada))
                        @if ($categoriaSelecionada->id != $perfil->id)
                            <option value="{{ $categoria->id }}">{{ $categoria->vc_categoria }}</option>
                        @endif
                    @else
                        <option value="{{ $categoria->id }}">{{ $categoria->vc_categoria }}</option>
                    @endif
                @endforeach
            </select>

        </div>
    </div>
    <div class="col-md-6">
        <div class="form-group">
            <label for="vc_fonte">{{ __('Fonte da noticia:') }}</label>
            <input value="{{ isset($noticia->vc_fonte) ? $noticia->vc_fonte : '' }}" id="vc_fonte" type="text"
                class="form-control @error('vc_fonte') is-invalid @enderror" name="vc_fonte"
                placeholder="Escreva a fonte proveniente da noticia" required autocomplete="vc_fonte">

        </div>
    </div>

    <div class="col-md-6">
        <div class="form-group">
            <label for="it_id_image">{{ __('Imagem') }}</label>
            <input value="{{ isset($sobre->image) ? $sobre->image : '' }}" id="image" type="file"
                class="form-control @error('image') is-invalid @enderror" name="image"
                placeholder="Selecione a imagem da notícia" required autocomplete="image">

        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label for="descricao">{{ __('Descrição da Notícia:') }}</label>
            <textarea class="form-control @error('vc_descricao') is-invalid @enderror" name="vc_descricao" id=""
                cols="30" rows="10" placeholder="Digite aqui" required autocomplete="descricao">{{ isset($noticia->vc_descricao) ? $noticia->vc_descricao : '' }}</textarea>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group text-center mx-auto col-md-3">
            <label class="text-white"></label>
            <button type="submit" class="btn col-md-12 btn-danger">
                Salvar
            </button>

        </div>

    </div>
</div>
