@csrf

<div class="row">

    <div class="col-md-4">
        <div class="form-group">
            <label for="vc_primeiroNome">{{ __('Primeiro Nome:') }}</label>
            <input value="{{ isset($user->vc_primeiroNome) ? $user->vc_primeiroNome : '' }}" id="vc_primeiroNome"
                type="text" class="form-control @error('vc_primeiroNome') is-invalid @enderror" name="vc_primeiroNome"
                placeholder="Digita aqui o primeiro nome" required autocomplete="vc_primeiroNome">

        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label for="vc_nomeMeio">{{ __('Nome do meio:') }}</label>
            <input value="{{ isset($user->vc_nomeMeio) ? $user->vc_nomeMeio : '' }}" id="vc_nomeMeio" type="text"
                class="form-control @error('vc_nomeMeio') is-invalid @enderror" name="vc_nomeMeio"
                placeholder="Digita aqui o nome do meio nome" required autocomplete="vc_nomeMeio">

        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label for="vc_ultimoNome">{{ __('Ultimo Nome:') }}</label>
            <input value="{{ isset($user->vc_ultimoNome) ? $user->vc_ultimoNome : '' }}" id="vc_ultimoNome"
                type="text" class="form-control @error('vc_ultimoNome') is-invalid @enderror" name="vc_ultimoNome"
                placeholder="Digita aqui o ultimo nome" required autocomplete="vc_ultimoNome">

        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label for="it_telefone">{{ __('Telefone:') }}</label>
            <input value="{{ isset($user->it_telefone) ? $user->it_telefone : '' }}" id="it_telefone" type="number"
                maxlength="9" class="form-control @error('it_telefone') is-invalid @enderror" name="it_telefone"
                placeholder="Digita aqui o seu telefone" required autocomplete="it_telefone">

        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label for="email">{{ __('Email') }}</label>
            <input value="{{ isset($user->email) ? $user->email : '' }}" id="email" type="text"
                class="form-control @error('email') is-invalid @enderror" name="email" placeholder="Email do utiizador"
                required autocomplete="email">

            @error('email')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label for="it_bi">{{ __('BI:') }}</label>
            <input value="{{ isset($user->it_bi) ? $user->it_bi : '' }}" id="it_bi"
            type="number" class="form-control @error('it_bi') is-invalid @enderror" name="it_bi"
                placeholder="Digita aqui o BI" required autocomplete="it_bi">

        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label for="it_id_perfil">{{ __('Perfil') }}</label>
            <select class="form-control js-example-basic-single @error('it_id_perfil') is-invalid @enderror" name="it_id_perfil"
            required autocomplete="it_id_perfil" autofocus>
            <option value="{{ isset($perfilSelecionada) ? $perfilSelecionada->id : '' }}">{{ isset($perfilSelecionada) ? $perfilSelecionada->name : 'Selecionar o perfil' }}</option>
            @foreach ($perfils as $perfil)
                @if (isset($perfilSelecionada))
                    @if ($perfilSelecionada->id != $perfil->id)
                        <option value="{{ $perfil->id }}">{{ $perfil->vc_perfil}}</option>
                    @endif
                @else
                    <option value="{{ $perfil->id }}">{{ $perfil->vc_perfil}}</option>
                @endif
            @endforeach
        </select>

        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label for="password">{{ __('Password') }}</label>
            <input value="" id="password" type="password" class="form-control @error('password') is-invalid @enderror"
                name="password" placeholder="Password do utiizador" value="" {{ isset($user) ? '' : 'required' }}
                autocomplete="new-password">

            @error('password')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label for="password_confirmation">{{ __('Confirme a Password') }}</label>
            <input value="" id="password_confirmation" type="password"
                class="form-control @error('password_confirmation') is-invalid @enderror" name="password_confirmation"
                placeholder="Confirma password do utiizador" value="">

            @error('password_confirmation')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror
        </div>
    </div>
</div>

<div class="col-md-12">
    <div class="form-group text-center mx-auto col-md-3">
        <label class="text-white"></label>
        <button type="submit" class="btn col-md-12 btn-danger">
            Salvar
        </button>

    </div>

</div>
