@extends('layouts._includes.site.Header')
@section('titulo', 'PMC')
@section('conteudo')


    <main class="main">

        <div class="page-title light-background">
            <div class="container d-lg-flex justify-content-between align-items-center">
                <h1 class="mb-2 mb-lg-0" style="color: aliceblue">Notícias</h1>
                <nav class="breadcrumbs">
                    <ol>
                        <li><a href="{{ route('site.dashboard') }}">Home</a></li>
                        <li class="current">Notícias</li>
                    </ol>
                </nav>
            </div>
        </div>

        <section id="pricing" class="pricing section">

            <div class="container">
                <div class="row gy-3">
                    @foreach ($noticias as $item)
                        <div class="col-xl-4 col-lg-6">
                            <div class="cards_item">
                                <a href="{{ route('site.noticia.read', $item->id) }}">
                                    <div class="card">
                                        <div class="card_image">
                                            <span class="note">Sociedade: {{ $item->created_at }}</span>
                                            <img src="{{asset($item->vc_caminho) }}"
                                                alt="A side view of a plate of figs and berries." />
                                            <span class="card_price"> Fonte: {{ Str::limit($item->vc_fonte, 6) }}</span>
                                        </div>

                                        <div class="card_text">
                                            <p>{{ Str::limit($item->vc_titulo, 25) }} </p>
                                            <hr />
                                            <p> {{ Str::limit($item->vc_descricao, 40) }}... </p>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                    @endforeach



                </div>
            </div>

        </section>

    </main>

    <script src="{{ asset('/js/sweetalert2.all.min.js') }}"></script>
    @if (session('feedback.cadastrar.true'))
        <script>
            Swal.fire(
                'Mensagem eviada, aguarde a aceitação!',
                '',
                'success'
            )
        </script>
    @endif

    @if (session('user.cadastrar.true'))
        <script>
            Swal.fire(
                'Cadastro realizado com sucesso!',
                '',
                'success'
            )
        </script>
    @endif

    @if (session('user.cadastrar.false'))
        <script>
            Swal.fire(
                'Erro ao cadastrar!',
                '',
                'error'
            )
        </script>
    @endif

    @if (session('noRequisitos'))
        <script>
            Swal.fire(
                'Sem dados!',
                '',
                'error'
            )
        </script>
    @endif








@endsection
