@extends('layouts._includes.site.Header')
@section('titulo', 'PMC')
@section('conteudo')

<main class="main">

    <!-- Page Title -->
    <div class="page-title light-background">
      <div class="container d-lg-flex justify-content-between align-items-center">
        <h1 class="mb-2 mb-lg-0"  style="color: aliceblue">Noticia</h1>
        <nav class="breadcrumbs">
          <ol>
            <li><a href="{{ route('site.noticia') }}">Noticias</a></li>
            <li class="current">Noticia</li>
          </ol>
        </nav>
      </div>
    </div><!-- End Page Title -->

    <div class="container">
      <div class="row">

        <div class="col-lg-8">

          <section id="blog-details" class="blog-details section">
            <div class="container">

              <article class="article">

                <div class="post-img">
                  <img src="{{asset($noticias->vc_caminho) }}" alt="" class="img-fluid">
                </div>

                <h2 class="title">{{ $noticias->vc_titulo }}</h2>

                <div class="meta-top">
                  <ul>
                    <li class="d-flex align-items-center"><i class="bi bi-person"></i> <a href="blog-details.html">{{ $noticias->vc_fonte }}</a></li>
                    <li class="d-flex align-items-center"><i class="bi bi-clock"></i> <a href="blog-details.html"><time datetime="2020-01-01">{{ $noticias->created_at }}</time></a></li>
                  </ul>
                </div><!-- End meta top -->

                <div class="content">


                  <blockquote>
                    <p>
                     {{ Str::limit( $noticias->vc_descricao, 50) }}
                    </p>
                  </blockquote>
                  <p>
                    {{ $noticias->vc_descricao}}
                    </p>
                </div>

                <div class="meta-bottom">
                  <i class="bi bi-folder"></i>
                  <ul class="cats">
                    <li><a href="#">Business</a></li>
                  </ul>

                  <i class="bi bi-tags"></i>
                  <ul class="tags">
                    <li><a href="#">Creative</a></li>
                    <li><a href="#">Tips</a></li>
                    <li><a href="#">Marketing</a></li>
                  </ul>
                </div><!-- End meta bottom -->

              </article>

            </div>
          </section>

        </div>

        <div class="col-lg-4 sidebar">

          <div class="widgets-container">

            <div class="search-widget widget-item">

              <h3 class="widget-title">Pesquisa</h3>
              <form action="">
                <input type="text">
                <button type="submit" title="Search"><i class="bi bi-search"></i></button>
              </form>

            </div><!--/Search Widget -->

            <!-- Categories Widget -->
            <div class="categories-widget widget-item">

              <h3 class="widget-title">Categorias de noticias </h3>
              <ul class="mt-3">
                @foreach ($categorias as $item)
                <li><a href="#">{{ $item->vc_categoria }} <span>({{ $item->noticias_count }})</span></a></li>
                @endforeach
              </ul>

            </div><!--/Categories Widget -->



          </div>

        </div>

      </div>
    </div>

  </main>

@endsection
