<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\APIController;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

/* Route::post('dados', 'Admin\API\APIController@receberDados'); */
Route::post('recebe_dados',  ['as'=> 'api.recebe_dados', 'uses'=> 'Api\ApiController@recebe_dados']);

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::middleware('auth:sanctum')->get('/estabelecimento',['as'=>'api','as '=> 'Admin/APIController@index']);


Route::get('/estabelecimento/{id}',['as' =>'admin.estabelecimento.listar','uses' =>'Admin\APIController@index']);

Route::post('register', 'Admin\MobileController@register');
Route::post('login', 'Admin\MobileController@authenticate');
Route::get('open', 'DataController@open');

Route::group(['middleware' => ['jwt.verify']], function() {
    Route::get('user', 'Admin\MobileController@getAuthenticatedUser');
    Route::get('closed', 'Admin\MobileControllerDataController@closed');
    Route::get('/estabelecimento/{id}',['as' =>'admin.estabelecimento.listar','uses' =>'Admin\APIController@index']);

});
